//CFTTXmlWriter - [2020-04-13 11:57:46]
#ifndef _CFTTXMLWRITER_H_
#define _CFTTXMLWRITER_H_

#include "CFTTXmlWriterNode.h"
#include "CFTTFile.h"

/*
0023ABA0 CFTTXmlWriter::CFTTXmlWriter(char const*)
0023AC08 CFTTXmlWriter::~CFTTXmlWriter()
0023AC28 CFTTXmlWriter::SetExpandNewlines(bool)
0023AC38 CFTTXmlWriter::Print(char *,uint)
0023AC58 CFTTXmlWriter::Print(char const*,bool,uint)
0023ACD8 CFTTXmlWriter::Print(CFTTFile *,bool,uint)
*/

class CFTTXmlWriter {
public:
  CFTTXmlWriter(char const *);                                   //0023ABA0
  ~CFTTXmlWriter();                                              //0023AC08
  static void SetExpandNewlines(bool);                           //0023AC28
  int Print(char *pBuf, uint a2);                                //0023AC38
  int Print(char const *pFileName, bool isCompress, uint dKey);  //0023AC58
  bool Print(CFTTFile *pFile, bool isCompress, uint dKey);       //0023ACD8

  CFTTXmlWriterNode WriterNode_0;
};

#endif  //_CFTTXMLWRITER_H_